jQuery Timer
Stopwatch
Stopwatch
Change the theme setting here
Change the language and localization settings here
Timer - Countdown
Timer - Stopwatch
$(function () {
var lapsNr = 1;
function format(ms) {
var minutes = Math.floor(ms / (1000 * 60)),
seconds = Math.floor((ms - minutes * 1000 * 60) / 1000),
fract = Math.floor((ms - minutes * 1000 * 60 - seconds * 1000) / 10);
return minutes + 'm ' + (seconds < 10 ? '0' : '') + seconds + 's.' + (fract < 10 ? '0' : '') + fract;
}
$('#demo').mobiscroll().timer({
theme: 'ios',
themeVariant: 'light',
lang: ' '
display: 'inline',
step: 0.01,
mode: 'stopwatch',
rows: 3,
onReset: function () {
$('#laps').empty();
lapsNr = 1;
},
onLap: function (ev, inst) {
$('#laps').prepend('<tr><td>#' + lapsNr + '</td><td> - ' + format(ev.lap) + ' - </td><td>' + format(ev.ellapsed) + '</td></tr>');
lapsNr++;
}
});
});
<div id="demo"></div>
<table id="laps"></table>
Timer - Event handlers
EVENTS FIRED:
Timer - Display modes
Timer - Theming capabilities
The look and feel of the timer can be deeply customized. There are four levels of customization:
- Base themes: Choose between
Mobiscroll
,iOS
,Android Material
andWindows
. - Light or dark: Every theme has a
light
anddark
variant. Setting thethemeVariant
to'auto'
will switch based on system settings. - Custom themes: Use the theme builder to customize the colors and make it match your brand.
- Custom CSS: If you need further customization, the sky is the limit with CSS overrides.
You can also see how every example looks by changing the theme from the header.
Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.
What framework are you using?
Step 1.Install the Mobiscroll CLI from npm
$ npm install -g @mobiscroll/cli
The CLI makes configuring your apps super simple 👍
Step 2.Run the following command in the root folder of your Ionic project
$ mobiscroll config ionic --version=4
You will be prompted to log in with your mobiscroll account. Set your password here
Create an Ionic 3 & Mobiscroll starter with the CLI:
Run this command for Ionic 4 & Mobiscroll starter:
Step 3.Copy the code into your app.
Step 4.Run ionic serve in the root folder of your app 🎉
$ ionic serve
And voilà, everything should be running smoothly.
Step 1.Install the Mobiscroll CLI from npm
$ npm install -g @mobiscroll/cli
The CLI makes configuring your apps super simple 👍
Step 2.Run the following command in the root folder of your Ionic project
$ mobiscroll config ionic --version=4
You will be prompted to log in with your mobiscroll account. Set your password here
Run this command for Ionic 5 & React Mobiscroll starter:
Step 4.Run ionic serve in the root folder of your app 🎉
$ ionic serve
And voilà, everything should be running smoothly.
Step 1.Install the Mobiscroll CLI from npm
$ npm install -g @mobiscroll/cli
The CLI makes configuring your apps super simple 👍
Step 2.Run the following command in the root folder of your Angular project
$ mobiscroll config angular --version=4
You will be prompted to log in with your mobiscroll account. Set your password here
Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.
Step 4.Run ng serve in the root folder of your app 🎉
$ ng serve
And voilà, everything should be running smoothly.
Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.
$ npm install
$ ionic serve
Let us know if we can help and enjoy!
Everything is set up so that you can dig in right away and start exploring.
We have set up a trial so that you can try the demos locally.
Extract the zip file and open the demo in your favorite browser.
To install Mobiscroll in your project
follow instructions from this page.
Let us know if we can help and enjoy! 👍
Please extract the zip file and run the project like any Angular CLI app.
Make sure to have the Angular CLI installed.
For installation and usage, extract the zip file and open a terminal window and follow these steps.
$ npm install
$ ng serve --open
Let us know if we can help and enjoy! 👍
Everything is set up so that you can dig in right away and start exploring.
We have set up a trial so that you can try the demos locally.
The easiest way to get started is to follow the installation steps and by
grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍
You'll find a fully functional Kitchen-sink Ionic app in the zip file.
Everything is set up so that you can dig in right away and start exploring.
We have set up a trial so that you can try the demos locally.
The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project
follow instructions from this page.
Let us know if we can help and enjoy! 👍
We have to set you up with a trial for this to run 👍
Enter a new password and hit the button below to change it!
You are setting a password for the account
Your password has been changed!

Timer for React

Updated on May 17, 2021
Learn More

React Timer Stopwatch

Mins
00Mins
01Mins
02Mins
03Mins
04Mins
05Mins
06Mins
07Mins
08Mins
09Mins
10Mins
11Mins
12Mins
13Mins
14Mins
15Mins
16Mins
17Mins
18Mins
19Mins
20Mins
21Mins
22Mins
23Mins
24Mins
25Mins
26Mins
27Mins
28Mins
29Mins
30Mins
31Mins
32Mins
33Mins
34Mins
35Mins
36Mins
37Mins
38Mins
39Mins
40Mins
00Mins
01Mins
02Mins
03Mins
04Mins
05Mins
Secs
20Secs
21Secs
22Secs
23Secs
24Secs
25Secs
26Secs
27Secs
28Secs
29Secs
30Secs
31Secs
32Secs
33Secs
34Secs
35Secs
36Secs
37Secs
38Secs
39Secs
40Secs
41Secs
42Secs
43Secs
44Secs
45Secs
46Secs
47Secs
48Secs
49Secs
50Secs
51Secs
52Secs
53Secs
54Secs
55Secs
56Secs
57Secs
58Secs
59Secs
00Secs
01Secs
02Secs
03Secs
04Secs
05Secs
06Secs
07Secs
08Secs
09Secs
10Secs
11Secs
12Secs
13Secs
14Secs
15Secs
16Secs
17Secs
18Secs
19Secs
20Secs
21Secs
22Secs
23Secs
24Secs
25Secs
26Secs
27Secs
28Secs
29Secs
30Secs
31Secs
32Secs
33Secs
34Secs
35Secs
36Secs
37Secs
38Secs
39Secs
40Secs
56Secs
57Secs
58Secs
59Secs
00Secs
01Secs
02Secs
03Secs
04Secs
05Secs
.60
.61
.62
.63
.64
.65
.66
.67
.68
.69
.70
.71
.72
.73
.74
.75
.76
.77
.78
.79
.80
.81
.82
.83
.84
.85
.86
.87
.88
.89
.90
.91
.92
.93
.94
.95
.96
.97
.98
.99
.00
.01
.02
.03
.04
.05
.06
.07
.08
.09
.10
.11
.12
.13
.14
.15
.16
.17
.18
.19
.20
.21
.22
.23
.24
.25
.26
.27
.28
.29
.30
.31
.32
.33
.34
.35
.36
.37
.38
.39
.40
.96
.97
.98
.99
.00
.01
.02
.03
.04
.05
Reset
Start

Timer - Countdown

Change demo
Countdown
React Countdown timer with start, stop, reset controls, wheel settings for year, month, day, hour, minute, second, fract. For React and Ionic React.
Copy code

Timer - Stopwatch

Change demo
Stopwatch
React Stopwatch demo with start, stop controls and lap counter. Change the steps and display wheels. For React and Ionic React.
Copy code
import mobiscroll from '@mobiscroll/react';
import '@mobiscroll/react/dist/css/mobiscroll.min.css';

class App extends React.Component {
    constructor(props) {
        super(props);

         this.state = {
           lapsNr: 1,
		   laps: []
         };
    }
    
    onReset = () => { 
        this.setState({
            lapsNr: 1,
			laps: []
		});
    }
    
    onLap = (event, inst) => {
        function format(ms) {
            var minutes = Math.floor(ms / (1000 * 60)),
                seconds = Math.floor((ms - minutes * 1000 * 60) / 1000),
                fract = Math.floor((ms - minutes * 1000 * 60 - seconds * 1000) / 10);

            return minutes + 'm ' + (seconds < 10 ? '0' : '') + seconds + 's.' + (fract < 10 ? '0' : '') + fract;
        }				
			this.state.laps.splice(0, 0, {
				id: this.state.lapsNr,
				lap: format(event.lap),
				ellapsed: format(event.ellapsed)
			});
			
			this.state.lapsNr+=1;
			var state = this.state;
			this.setState(state);
    }
    
    render() {
		var laps = this.state.laps;
        return (
            <div>
                <mobiscroll.Timer
                    ref="timer"
                    theme="ios" 
                    themeVariant="light"
                    display="inline"
                    step={0.01}
                    rows={3}
                    buttons={['start', 'reset', 'lap']}
                    onReset={this.onReset}
                    onLap={this.onLap}
                    mode="stopwatch"
                    type="hidden"
                />
                <table id="laps">
					<tbody>
						{ laps.map(function(lap) {
							return <tr key={lap.id}>
    							<td>#{lap.id}</td>
    							<td>{lap.lap}</td>
    							<td>{lap.ellapsed}</td>
    						</tr>;
						}) }
					</tbody>
				</table>
            </div>
        );
    }    
}

import mobiscroll from '@mobiscroll/react';
import '@mobiscroll/react/dist/css/mobiscroll.min.css';

interface DemoProps {
  /* you can define props type definitions here */
}

interface DemoState {
    laps?: any;
    lapsNr?: any;
}

class App extends React.Component< DemoProps, DemoState > {
    onLap:any;
    onReset:any;
    constructor(props: DemoProps) {
        super(props);

         this.state = {
           lapsNr: 1,
		   laps: []
         };
    }
    
    onReset = () => { 
        this.setState({
            lapsNr: 1,
			laps: []
		});
    }
    
    onLap = (event: any, inst: any) => {
        function format(ms: any) {
            var minutes = Math.floor(ms / (1000 * 60)),
                seconds = Math.floor((ms - minutes * 1000 * 60) / 1000),
                fract = Math.floor((ms - minutes * 1000 * 60 - seconds * 1000) / 10);

            return minutes + 'm ' + (seconds < 10 ? '0' : '') + seconds + 's.' + (fract < 10 ? '0' : '') + fract;
        }				
			this.state.laps.splice(0, 0, {
				id: this.state.lapsNr,
				lap: format(event.lap),
				ellapsed: format(event.ellapsed)
			});
			
			this.state.lapsNr+=1;
			var state = this.state;
			this.setState(state);
    }
    
    render() {
		var laps = this.state.laps;
        return (
            <div>
                <mobiscroll.Timer
                    ref="timer"
                    theme="ios" 
                    themeVariant="light"
                    display="inline"
                    step={0.01}
                    rows={3}
                    buttons={['start', 'reset', 'lap']}
                    onReset={this.onReset}
                    onLap={this.onLap}
                    mode="stopwatch"
                    type="hidden"
                />
                <table id="laps">
					<tbody>
						{ laps.map(function(lap: any) {
							return <tr key={lap.id}>
    							<td>#{lap.id}</td>
    							<td>{lap.lap}</td>
    							<td>{lap.ellapsed}</td>
    						</tr>;
						}) }
					</tbody>
				</table>
            </div>
        );
    }    
}

<div id="content">
Show more code

Timer - Event handlers

Change demo
Event handlers
React Timer demo with event hooks for custom integration and functionality. For React and Ionic React.
Clear event log
EVENTS FIRED: 
Copy code

Timer - Display modes

Change demo
Display modes
React Timer demo with top, bottom, popup, center, modal, bubble and inline embeddable display modes. For React and Ionic React.
Copy code

Timer - Theming capabilities

Change demo
Theming capabilities

The look and feel of the timer can be deeply customized. There are four levels of customization:

  • Base themes: Choose between Mobiscroll, iOS, Android Material and Windows.
  • Light or dark: Every theme has a light and dark variant. Setting the themeVariant to 'auto' will switch based on system settings.
  • Custom themes: Use the theme builder to customize the colors and make it match your brand.
  • Custom CSS: If you need further customization, the sky is the limit with CSS overrides.

You can also see how every example looks by changing the theme from the header.

Copy code

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Thanks for downloading
Customize demos locally

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Need to update your password?
Demos
Theme Select
Mobiscroll
Material
Material Dark
iOS
iOS Dark
Windows
Windows Dark
Language Locale
See other demos and change options
Theme
Locale
See other demos